<?php
declare(strict_types=1);

namespace CloudXM\SDK\Events;

use Monolog\LogRecord;

/**
 * Log Emitted Event
 *
 * Emitted after a log is written to file.
 * Consumers can listen to this to send logs to remote systems.
 */
final class LogEmittedEvent
{
    private LogRecord $record;

    public function __construct(LogRecord $record)
    {
        $this->record = $record;
    }

    public function getRecord(): LogRecord
    {
        return $this->record;
    }

    public function setRecord(LogRecord $record): void
    {
        $this->record = $record;
    }
}